Subject: Re: setting up tracking on push

From: "John M. Dlugosz" <[email-masked]>
Date: Sat, 14 Mar 2009 22:28:36 -0500

Jay Soffian jaysoffian-at-gmail.com |git| wrote:
> - The branches under refs/remotes (those shown by "git branch -r") are
> remote tracking branches. 
 > So that tells git fetch where to fetch from, which remote branches to
> fetch, and where to store those branches locally. In this case, each
> branch under refs/heads/ on git://git.kernel.org/pub/scm/git/git.git
> will be fetched and stored locally as refs/remotes/origin/. Locally
> the branches are called "remote tracking branches".
>
>   

Things under refs/remotes are remote tracking branches, and local 
branches (under refs/heads) that automatically updated based on a fetch 
("store locally" means merge or rebase, right?) are also called remote 
tracking branches.

I think that's why some of us are confused.

--John